doinst() {
    groupadd kvm > /dev/null 2>&1

    if [ "$(grep GenuineIntel /proc/cpuinfo)" ]; then
      kvmmod=intel
    elif [ "$(grep AuthenticAMD /proc/cpuinfo)" ]; then
      kvmmod=amd
    fi
    
    depmod -a > /dev/null 2>&1
    
    if [ -f $(find lib/modules/$(uname -r) -name kvm-$kvmmod.ko) ]; then
      if [ ! "$(lsmod | grep "^kvm_$kvmmod ")" ]; then
        modprobe kvm-$kvmmod
      fi
    fi
    
    udevadm control --reload-rules > /dev/null 2>&1
    udevadm trigger --action=change > /dev/null 2>&1
}
doinst
